<?php

Doo::loadCore('db/DooModel');

/**
 * 用户表
 */
class AUser extends DooModel {

    public $auid;
    public $auname;
    public $aupass;
    public $aemail;
    public $_table = 'jl_auser';
    public $_primarykey = 'auid';
    public $_fields = array('auid', 'auname', 'aupass', 'aemail');

    public function __construct() {
        parent::setupModel(__CLASS__);
    }

    public function upPasswWd($uid, $passwd) {
        $this->aupass = $passwd;
        $this->update(array('where' => 'auid=?', 'param' => array($uid)));
    }

}

?>